QUIK 8.0 x64: что нужно знать перед обновлением на новую версию

Страницы: 1 2 3 След.
RSS
QUIK 8.0 x64: что нужно знать перед обновлением на новую версию
 

Добрый день!

Рабочее место QUIK версии 8.0 является 64-разрядным приложением. Перед тем как запускать обновление на новую версию, необходимо обязательно ознакомиться со следующими особенностями новой версии.

1. Новая версия может некорректно работать с LUA-скриптами, использующими внешние библиотеки dll. Перед обновлением рекомендуем обратиться к разработчикам скриптов за их обновлением.

2. Если вы используете экспорт в базы данных через ODBC, после обновления необходимо создать соответствующие 64-битные источники данных DSN.

3. В новой версии реализована поддержка с Wealth-Lab Developer версии 6.0 и прекращена поддержка Wealth-Lab Developer версии 4.0. Инструкция по настройке экспорта данных Wealth-Lab Developer версии 6.0 доступна в разделе 6.6 руководства пользователя. Актуальную версию руководства пользователя можно скачать с нашего сайта:

https://arqatech.com/ru/support/files/

Для экспорта данных в Wealth-Lab Developer версии 4.0 необходимо использовать Рабочее место предыдущих версий.

4. Поддержка экспорта данных в системы технического анализа Metastock и Omega прекращена.

Если у Вас есть вопросы по новой версии, Вы можете задать их в этой ветке форума.

 
Здравствуйте! как скачать? в файлах нет дистрибутива. Только руководство пользователя и справка
 
http://lua-users.org/wiki/LuaDirectory
 
А что по поводу экспорта в AmiBroker?
 
Цитата
Alexey Ivannikov написал:
Рабочее место QUIK версии 8.0
Junior уже отгружаете?
 
Если нужно, вот на ftp лежит. Я поставил, попробовал уже. ftp://ftp.quik.ru/public/updates/8.0/
 
Цитата
Сергей Мирный написал:
Если нужно, вот на ftp лежит. Я поставил, попробовал уже.  ftp://ftp.quik.ru/public/updates/8.0/
о как, а мну на фтп заглянуть тупанул.
спасибо, брат
 
Цитата
Сергей Мирный написал:
Здравствуйте! как скачать? в файлах нет дистрибутива. Только руководство пользователя и справка
Добрый день!
Дистрибутив для QUIK Junior появится на сайте чуть позже. Если у Вас есть "боевой" доступ к системе, то уже сейчас Вы можете получить обновление у брокера, с которым Вы работаете.
 
Mikhail Shubin, вынужден переспросить... А что по поводу экспорта в AmiBroker? Спасибо.
 
Цитата
babylon73 написал:
Mikhail Shubin, вынужден переспросить... А что по поводу экспорта в AmiBroker? Спасибо.
Добрый день.

Экспорт в новой версии в AmiBroker должен работать.
 
Цитата
Alexey Ivannikov написал:
Цитата
babylon73 написал:
Mikhail Shubin , вынужден переспросить... А что по поводу экспорта в AmiBroker? Спасибо.
Добрый день.

Экспорт в новой версии в AmiBroker должен работать.
Для этого нужна x64 версия плагина для AmiBroker, где её можно взять?
 
4. Поддержка экспорта данных в системы технического анализа Metastock и Omega прекращена.

Как быть? Метастоком только пользуюсь, может модуль будет какой-нибудь по интеграции с quik8 ?
Что делать, даже не знаю, как без метастока работать?
 
Цитата
Олег написал:
как без метастока работать?
если опишите используемый функционал - Вам скорее всего присоветуют достойную замену.


Цитата
Олег написал:
Что делать, даже не знаю,
просто сменить привычку и немного потерпеть. не комфортно, но не смертельно.
 
Цитата
Alexey Ivannikov написал:
Если у Вас есть вопросы по новой версии,
Цитата
11. Аварийное завершение работы при запуске на операционных системах Linux.

"отечественная" ОС всё чаще встречается.
1. обновите пжлст инструкцию по установке.
2. какие win64-либы нужно подсунуть для корректной работы на линукс/вайн по вашему мнению?

спасибо.
 
Цитата
новичок написал:
Цитата
Олег написал:
как без метастока работать?
если опишите используемый функционал - Вам скорее всего присоветуют достойную замену.


Цитата
Олег написал:
Что делать, даже не знаю,
просто сменить привычку и немного потерпеть. не комфортно, но не смертельно.
Привык к языку программирования метасток, очень удобный, на что-то переходить очень много надо переписывать формул по новому!!!
 
Добрый день!

После обновления на версию 8.0 все индикаторы и скрипты, сделанные на Lua перестали работать, по скриптам пишет ошибку "bad header in precompiled chunk".

никаких dll не используется в скриптах. Скрипты скомпилированы через стандартную команду:

luac -s -o "$(FileName).luac" "$(FileNameExt)"

Что надо сделать для работы?
 
Цитата
новичок написал:
2. какие win64-либы нужно подсунуть для корректной работы
Wine64 достаточно.
 
Может кто подскажет, экспорт в метасток кто-нибудь предоставляет, может модуль есть какой?
 
Цитата
Олег написал:
Может кто подскажет, экспорт в метасток кто-нибудь предоставляет, может модуль есть какой?
Цитата
Олег написал:
Привык к языку программирования метасток, очень удобный
это не более, чем "вредная" привычка. метасток давно не имеет ничего эксклюзивного и поддерживать его нет никакого смысла.
тем более, если формат БД закрыт (непубличен).
 
Цитата
Олег написал:
Может кто подскажет, экспорт в метасток кто-нибудь предоставляет, может модуль есть какой?
Попробуйте воспользоваться документацией:
-Раздел 6. Совместная работа с другими приложениями
--Экспорт данных в системы технического анализа с использованием внешних программ
 
Сегодня не корректно отображаются Таблица - Клиентский портфель и Таблица лимитоа по денежным средствам. Это из-за новой версии или общая ошибка ?  
 
Цитата
Ольга написал:
Сегодня не корректно отображаются Таблица - Клиентский портфель и Таблица лимитоа по денежным средствам. Это из-за новой версии или общая ошибка ?  
Вопрос снимается. )
 
Господа модераторы, мне кажется, вам следует очистить эту ветку от пользовательских комментариев и писать сюда только рецепты/советы связанные с 64х-битной версией. А то скоро тут такая помойка будет, что получить пользу по вопросу станет невозможно :)
 
Цитата
babylon73 написал:
Цитата
Alexey Ivannikov написал:
 
Цитата
babylon73  написал:
 Mikhail Shubin  , вынужден переспросить... А что по поводу экспорта в AmiBroker? Спасибо.
 Добрый день.

Экспорт в новой версии в AmiBroker должен работать.
Для этого нужна x64 версия плагина для AmiBroker, где её можно взять?
Добрый день.

Повторимся: должно работать так, как и раньше, без дополнительных телодвижений.
 
Цитата
новичок написал:
1. обновите пжлст инструкцию по установке.
Добрый день.

Не получается выполнить установку по этой инструкции? Или просто хотелось бы актуализировать её?
 
Цитата
Imersio Arrigo написал:
Господа модераторы, мне кажется, вам следует очистить эту ветку от пользовательских комментариев и писать сюда только рецепты/советы связанные с 64х-битной версией. А то скоро тут такая помойка будет, что получить пользу по вопросу станет невозможно :)
Добрый день.

Мы посмотрим ещё какое-то время, как будет развиваться дискуссия здесь. После примем решение.
 
Цитата
Alexey Ivannikov написал:
Цитата
новичок написал:
1. обновите пжлст инструкцию по установке.
Добрый день.

Не получается выполнить установку по этой инструкции? Или просто хотелось бы актуализировать её?
спасибо, что интересуетесь, Алексей.

пробовал запускать версию из вашего фтп-архива - запустилась, но ключ не скушала и крашнулась.
может нужен 64-битный ключ брокера? :) задал им вопрос.
пересобираю пока луа-либы.

что касается вопроса про вин64-либы, то логика такая: очевидно, что в вайн  реализован не весь функционал,
ткчт если скажете версии либ - подсунем вместо гну-тых
 
Если честно, то за-ли уже этими обновлениями. Только один вопрос - будет ли работать моя 6 версия квик дальше как и раньше?
 
Цитата
Alexey Ivannikov написал:
Добрый день!
и...и ? :)

[TABLE][TR][TD]
Текущая версия: Версия 8.0.0 / 28.06.2019
QUIK Junior v.7.27exe, 26.3 МБ[/TD][/TR][/TABLE]
 
Сотрудникам ARQA Technologies !!!
Верните пжлста поддержку экспорта данных в Метасток
в 8 версии вашего Квика ,
а то мне по возрасту уже трудно становиться программистом
своего геморроя достаточно  
 
Цитата
Юрий написал:
Сотрудникам ARQA Technologies !!!
категорически против добавления 32-битных кусков.
 
Цитата
новичок написал:
пробовал запускать версию из вашего фтп-архива - запустилась, но ключ не скушала и крашнулась.
Добрый день.

Если программа аварийно завершает свою работу - пришлите пожалуйста соотв. дамп нам на quiksupport@arqatech.com
 
Цитата
Дмитрий написал:
Если честно, то за-ли уже этими обновлениями. Только один вопрос - будет ли работать моя 6 версия квик дальше как и раньше?
Добрый день.

Да, будет.
 
Цитата
новичок написал:
Цитата
Alexey Ivannikov написал:
Добрый день!
и...и ? :)
[TABLE][TR][TD]
Текущая версия: Версия 8.0.0 / 28.06.2019
QUIK Junior v.7.27exe, 26.3 МБ [/TD][/TR][/TABLE]
Добрый день.

Для игрового сервера Junior версия будет собрана и выложена несколько позже.
 
Цитата
Юрий написал:
Сотрудникам ARQA Technologies !!!
Верните пжлста поддержку экспорта данных в Метасток
в 8 версии вашего Квика ,
а то мне по возрасту уже трудно становиться программистом
своего геморроя достаточно  
Добрый день.

Для этого Вы можете отдельно использовать 7-ую версию QUIK.
 
Цитата
Alexey Ivannikov написал:
Цитата
новичок написал:
пробовал запускать версию из вашего фтп-архива - запустилась, но ключ не скушала и крашнулась.
Добрый день.

Если программа аварийно завершает свою работу - пришлите пожалуйста соотв. дамп нам на  quiksupport@arqatech.com
накатил ручками на брокерскую и запустил, тк нет 32 битных либ на 64-битном линуксе ( логично, не так ли? )

и...и ..
Цитата
file update.exe
update.exe: PE32 executable (GUI) Intel 80386, for MS Windows


" .. а вы полны сюрпризов, мистер Торбинс .." (с)

назовите версию 8  как  "15 и 3/4"-битная тогда уж    

:)  
 
Цитата
новичок написал:
update.exe: PE32 executable (GUI) Intel 80386, for MS Windows
И что смущает?
99.9% инсталляторов 32битные.
Цитата
новичок написал:
накатил ручками на брокерскую и запустил
Удалось понять что не так?
Просто у меня все взлетело искаропке.
 
Цитата
Imersio Arrigo написал:
И что смущает?
не смущает, а не собираюсь держать зоопарк 32-64
это глупое зло

Цитата
Imersio Arrigo написал:
Удалось понять что не так?
нет, подсовывая ключи к версии с фтп - софтина крашится
накатив поверх 7-ой - 8-ую и удалив sec.dat - пока держится
 
Цитата
новичок написал:
удалив sec.dat - пока держится
ааа.. так дело не в ключах.

если квичок падает после опдейта - правило номер один - удалить *dat, *log файлы и попробовать ещё раз.
если не помогло - удалять info.wnd.
 
Цитата
новичок написал:
не смущает, а не собираюсь держать зоопарк 32-64
Про зоопарк не понял.
Раньше же нужен wine-multilib чтобы держать win32 процессы.
А щас можно оставить wine64.
Хорошо же стало, не?
 
Цитата
Imersio Arrigo написал:
ааа.. так дело не в ключах.
спасибо. учту наперед.
Цитата
Imersio Arrigo написал:
А щас можно оставить wine64. Хорошо же стало, не?
стало гораздо больше, чем хорошо
но довести до ума не мешает никогда.
 
Цитата
Imersio Arrigo написал:
правило номер один - удалить *dat, *log файлы и попробовать ещё раз.

надеюсь понимаете, что звучит как:
" программеры АРКА не умеют парсить ни собственные структуры, ни даже простые текстовики" (с)
 
Цитата
новичок написал:
надеюсь понимаете, что звучит как
В принципе мне это без разницы. Мне надо чтобы все работало а как это звучит дело десятое :)
 
Цитата
Imersio Arrigo написал:
если квичок падает после опдейта - правило номер один - удалить *dat, *log файлы и попробовать ещё раз.
Цитата
Imersio Arrigo написал:
Мне надо чтобы все работало
ну дык не работает же :)

чой то Вы запутали сами себя
 
Цитата
новичок написал:
ну дык не работает же
Бывает, не работает да. Но, в основном, помогает.
 
Цитата
Imersio Arrigo написал:
Бывает, не работает да. Но, в основном, помогает.
Цитата
Imersio Arrigo написал:
99.9% инсталляторов 32битные.
даже не буду спрашивать: зачем 64-битной софтине 32-битный инсталлер :)
видимо тут "все всё понимают" ... кроме всяких новичкофф :)
 
Цитата
новичок написал:
даже не буду спрашивать: зачем 64-битной софтине 32-битный инсталлер
а. понял. мешает снести мультилиб? )))
 
Alexey Ivannikov, и паки по поводу экспорта в AmiBroker.Таки да, будет работать и старый плагин, ведь он не квиком, а ами загружается, это я ступил. Однако, вопрос всё равно есть: теперь, когда сам квик стал x64, можно ли сделать x64 версию плагина для ami? Невозможность экспорта в x64 AmiBroker - единственное, что заставляет по-прежнему пользовать x86 версию ami. Спасибо.
 
Цитата
babylon73 написал:
Alexey Ivannikov, и паки по поводу экспорта в AmiBroker.Таки да, будет работать и старый плагин, ведь он не квиком, а ами загружается, это я ступил. Однако, вопрос всё равно есть: теперь, когда сам квик стал x64, можно ли сделать x64 версию плагина для ami? Невозможность экспорта в x64 AmiBroker - единственное, что заставляет по-прежнему пользовать x86 версию ami. Спасибо.
Здравствуйте!

Ваше пожелание зарегистрировано.  Мы постараемся рассмотреть его и  сообщить Вам результаты анализа. Впоследствии, по результатам анализа,  будет приниматься решение о реализации пожелания в будущих версиях ПО.
 
Может сделать 32 битную версию квика и поддерживать обе версии 64 и 32 битные.
Просто так не делается. Дайте время хотя бы год, чтобы решить проблемы с 64 битными версиями dll для lua. Некоторые библиотеки сложно обновить.
Страницы: 1 2 3 След.
Читают тему (гостей: 1)
Наверх